#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'configwidget.ui'
**
** Created: 2013-08-05T06:54:49
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "configwidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlistbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ConfigWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
ConfigWidget::ConfigWidget( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ConfigWidget" );
    ConfigWidgetLayout = new QVBoxLayout( this, 11, 6, "ConfigWidgetLayout"); 

    GroupBox1 = new QGroupBox( this, "GroupBox1" );
    GroupBox1->setColumnLayout(0, Qt::Vertical );
    GroupBox1->layout()->setSpacing( 6 );
    GroupBox1->layout()->setMargin( 11 );
    GroupBox1Layout = new QGridLayout( GroupBox1->layout() );
    GroupBox1Layout->setAlignment( Qt::AlignTop );

    m_files = new QListBox( GroupBox1, "m_files" );

    GroupBox1Layout->addMultiCellWidget( m_files, 0, 1, 0, 0 );

    Layout2 = new QGridLayout( 0, 1, 1, 0, 6, "Layout2"); 

    m_down = new QPushButton( GroupBox1, "m_down" );
    m_down->setEnabled( FALSE );

    Layout2->addWidget( m_down, 2, 1 );

    m_up = new QPushButton( GroupBox1, "m_up" );
    m_up->setEnabled( FALSE );

    Layout2->addWidget( m_up, 2, 0 );

    m_add = new QPushButton( GroupBox1, "m_add" );

    Layout2->addMultiCellWidget( m_add, 0, 0, 0, 1 );

    m_remove = new QPushButton( GroupBox1, "m_remove" );
    m_remove->setEnabled( FALSE );

    Layout2->addMultiCellWidget( m_remove, 1, 1, 0, 1 );

    GroupBox1Layout->addLayout( Layout2, 0, 1 );
    Spacer2 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    GroupBox1Layout->addItem( Spacer2, 1, 1 );
    ConfigWidgetLayout->addWidget( GroupBox1 );

    ButtonGroup1 = new QButtonGroup( this, "ButtonGroup1" );
    ButtonGroup1->setColumnLayout(0, Qt::Vertical );
    ButtonGroup1->layout()->setSpacing( 6 );
    ButtonGroup1->layout()->setMargin( 11 );
    ButtonGroup1Layout = new QGridLayout( ButtonGroup1->layout() );
    ButtonGroup1Layout->setAlignment( Qt::AlignTop );

    m_single = new QRadioButton( ButtonGroup1, "m_single" );

    ButtonGroup1Layout->addMultiCellWidget( m_single, 0, 0, 0, 1 );
    Spacer4 = new QSpacerItem( 20, 21, QSizePolicy::Fixed, QSizePolicy::Minimum );
    ButtonGroup1Layout->addItem( Spacer4, 2, 0 );

    m_multiple = new QRadioButton( ButtonGroup1, "m_multiple" );

    ButtonGroup1Layout->addMultiCellWidget( m_multiple, 1, 1, 0, 1 );

    Layout4 = new QGridLayout( 0, 1, 1, 0, 6, "Layout4"); 

    m_delayLabel = new QLabel( ButtonGroup1, "m_delayLabel" );
    m_delayLabel->setEnabled( FALSE );

    Layout4->addWidget( m_delayLabel, 0, 0 );

    m_delay = new QSpinBox( ButtonGroup1, "m_delay" );
    m_delay->setEnabled( FALSE );

    Layout4->addWidget( m_delay, 0, 1 );

    m_random = new QCheckBox( ButtonGroup1, "m_random" );
    m_random->setEnabled( FALSE );

    Layout4->addMultiCellWidget( m_random, 1, 1, 0, 2 );

    m_secondsLabel = new QLabel( ButtonGroup1, "m_secondsLabel" );
    m_secondsLabel->setEnabled( FALSE );

    Layout4->addWidget( m_secondsLabel, 0, 2 );

    ButtonGroup1Layout->addLayout( Layout4, 2, 1 );
    Spacer16 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ButtonGroup1Layout->addItem( Spacer16, 2, 2 );
    ConfigWidgetLayout->addWidget( ButtonGroup1 );

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 
    Horizontal_Spacing2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    m_ok = new QPushButton( this, "m_ok" );
    m_ok->setAutoDefault( TRUE );
    m_ok->setDefault( TRUE );
    Layout1->addWidget( m_ok );

    m_cancel = new QPushButton( this, "m_cancel" );
    m_cancel->setAutoDefault( TRUE );
    Layout1->addWidget( m_cancel );
    ConfigWidgetLayout->addLayout( Layout1 );
    languageChange();
    resize( QSize(463, 376).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConfigWidget::~ConfigWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConfigWidget::languageChange()
{
    setCaption( tr2i18n( "Media Screen Saver" ) );
    GroupBox1->setTitle( tr2i18n( "Files" ) );
    m_down->setText( tr2i18n( "&Down" ) );
    m_up->setText( tr2i18n( "&Up" ) );
    m_add->setText( tr2i18n( "&Add..." ) );
    m_remove->setText( tr2i18n( "&Remove" ) );
    ButtonGroup1->setTitle( tr2i18n( "Settings" ) );
    m_single->setText( tr2i18n( "Only show one randomly chosen medium" ) );
    m_multiple->setText( tr2i18n( "Switch to another medium after a delay" ) );
    m_delayLabel->setText( tr2i18n( "Delay:" ) );
    m_random->setText( tr2i18n( "Choose next medium randomly" ) );
    m_secondsLabel->setText( tr2i18n( "seconds" ) );
    m_ok->setText( tr2i18n( "&OK" ) );
    m_cancel->setText( tr2i18n( "&Cancel" ) );
}

/****************************************************************************
** ConfigWidget meta object code from reading C++ file 'configwidget.h'
**
** Created: Mon Aug 5 06:54:49 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "configwidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *ConfigWidget::className() const
{
    return "ConfigWidget";
}

QMetaObject *ConfigWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_ConfigWidget( "ConfigWidget", &ConfigWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString ConfigWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ConfigWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString ConfigWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ConfigWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* ConfigWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"ConfigWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_ConfigWidget.setMetaObject( metaObj );
    return metaObj;
}

void* ConfigWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ConfigWidget" ) )
	return this;
    return QDialog::qt_cast( clname );
}

bool ConfigWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool ConfigWidget::qt_emit( int _id, QUObject* _o )
{
    return QDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool ConfigWidget::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool ConfigWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
